spago-0.21.0

Safe Haskell | None
Language | Haskell2010

Spago.Git

Synopsis

- requireCleanWorkingTree :: HasLogFunc env => RIO env ()
- hasCleanWorkingTree :: HasLogFunc env => RIO env Bool
- getAllTags :: HasGit env => RIO env [Text]
- commitAndTag :: HasGit env => Text -> Text -> RIO env ()
- isIgnored :: HasGit env => Text -> RIO env Bool

# Documentation

requireCleanWorkingTree :: HasLogFunc env => RIO env () #

hasCleanWorkingTree :: HasLogFunc env => RIO env Bool #

getAllTags :: HasGit env => RIO env [Text] #

commitAndTag :: HasGit env => Text -> Text -> RIO env () #

isIgnored :: HasGit env => Text -> RIO env Bool #

Check if the path is ignored by git

`git check-ignore` exits with 1 when path is not ignored, and 128 when a fatal error occurs (i.e. when not in a git repository).